Your message dated Wed, 11 Mar 2020 22:21:10 +0000
with message-id <e1jc9iw-0006d7...@fasolo.debian.org>
and subject line Bug#951880: fixed in glibc 2.30-1
has caused the Debian Bug report #951880,
regarding libcrypt.so.1 in bullseye
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
951880: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=951880
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: libc6-amd64
Version: 2.29-10
Severity: important

The libc6-amd64 package installs /lib64/libcrypt.so.1 in bullseye. However
libcrypt has been moved from the libc6 package to the libcrypt1 package in
bullseye. In a multiarch amd64 bullseye system with libcrypt1 and
libc6-amd64 both installed and both providing libcrypt.so.1 the dynamic
linker gives priority to the libc6-amd64 path (/lib64/libcrypt.so.1)
instead of the libcrypt1 path (/usr/lib/x86_64-linux-gnu/libcrypt.so.1).
This creates problems to executables which are normally built using
libcrypt1 since the libcrypt from libc6-amd64 appears to provide less
symbols. See #949356 for example.

--- End Message ---
--- Begin Message ---
Source: glibc
Source-Version: 2.30-1
Done: Aurelien Jarno <aure...@debian.org>

We believe that the bug you reported is fixed in the latest version of
glibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 951...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aure...@debian.org> (supplier of updated glibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 11 Mar 2020 22:02:51 +0100
Source: glibc
Architecture: source
Version: 2.30-1
Distribution: unstable
Urgency: medium
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Changed-By: Aurelien Jarno <aure...@debian.org>
Closes: 951237 951880 953083 953108
Changes:
 glibc (2.30-1) unstable; urgency=medium
 .
   [ Samuel Thibault ]
   * testsuite-xfail-debian.mk: Update non-regressions.
   * debian/patches/hurd-i386/git-fork-pthread_exit.diff: New patch to fix
     pthread_exit after fork.
   * debian/patches/hurd-i386/git-spin_lock.diff: New patch to fix
     pthread_spin_lock behavior for shared memory.
   * debian/patches/hurd-i386/git-barrier-1.diff: New patch to fix
     pthread_barrier_wait with one thread.
   * debian/patches/hurd-i386/git-sem-intr.diff: New patch to make
     sem_wait/timedwait interruptible.
   * debian/patches/hurd-i386/local-atfork-link.diff: New patch to fix
     libpthread link.
   * debian/patches/hurd-i386/git-register-atfork.diff: Fix linking with static
     libpthread.
   * debian/patches/hurd-i386/git-pthread_self.diff: New patch to improve
     libpthread performance.
 .
   [ Aurelien Jarno ]
   * debian/patches/any/local-revert-24323.diff: drop, obsolete.
   * debian/control.in/libc: add a Breaks: against wcc (<< 0.0.2+dfsg-3).
   * debian/patches/git-updates.diff: update from upstream stable branch:
     - Fix argument passing for inlined syscalls on mips* and riscv64.
       Closes: #951237.
     - Fix stack corruption in trigonometric functions when passing a
       pseudo-zero argument on x86 (CVE-2020-10029).  Closes: #953108.
     - debian/patches/any/submitted-stt-gnu-ifunc-detection.patch: upstreamed.
   * debian/sysdeps/*.mk: stop building libcrypt for multilib packages.
     Closes: #951880.
   * debian/debhelper.in/libc.postinst: drop upstart support.
   * debian/patches/any/local-revert-glibc_has_include.diff: partial revert
     of upstream commit bfa864e1645e until gcc stops providing fix-includes.
     Closes: #953083.
Checksums-Sha1:
 c5073df944d8b72d28e1a1372f18c47d6e2e8762 8731 glibc_2.30-1.dsc
 819e68e6d94baafb9519577b11f0ffb54faa686a 841748 glibc_2.30-1.debian.tar.xz
 8380aa8e9b330ce68993b776dc1a3d150f879dfc 7715 glibc_2.30-1_source.buildinfo
Checksums-Sha256:
 972d5b15a09dc84544033b7e904c6eb661ef21f63e1405d6a862fc737effbe59 8731 
glibc_2.30-1.dsc
 af0e700ef386b9e1be83db0ac20dbad7f33ea4e8b26a1a7bf9b118156e8588d1 841748 
glibc_2.30-1.debian.tar.xz
 55881e5d13775ecb5d6d324a0b9c810ca74c01db6baaf63b66e2ebf38abcc14b 7715 
glibc_2.30-1_source.buildinfo
Files:
 fec41e8af4992ca94d36d8bdf5783bcf 8731 libs required glibc_2.30-1.dsc
 3bbef339c4080442267aa2de3c364d8a 841748 libs required 
glibc_2.30-1.debian.tar.xz
 61d9017d0bfb177b51e54d62239917ca 7715 libs required 
glibc_2.30-1_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEUryGlb40+QrX1Ay4E4jA+JnoM2sFAl5pW58ACgkQE4jA+Jno
M2ufiA//eZbOLw5gIRmx18575SoqKmRDasyj6l8HnAuVVAkO8umSZTwn2QaX6eL1
cz9bdGjZToyN8S36ST+b0FJecbE2mm4ZkBvglffY/Z1Ly9N/i38yIptn6EYoWtmx
6udlIcbS62t77xuW9ZQTyf/xqqLGUTwgR260gIcu9QIIIlOdmxahnaKhCus3SmXT
XyTvXMo6TVsBmnfUlVqOd7CyLgq+TrbhHRgjgy22JXfBa48T4cf07vHwzFAe6D5o
bvGaotvnKQ5DWbkugMvLM1TMwa3zA9MAPdBlSonPzdnHgk8KOMm1YZCTCzR2eGNz
Ubpdt2w35t4sLaXOkMYFF4Oaeh3VQhl+xGjk4AiUtMfYzSSRO/3+R9iR9dqhKId/
u/w/KuWd+aug4bo2/f6cBIDCwZ3V1LdEM0h4dEdYnB72D3kXIksfmxX56tTEU+0Y
vJucVll4hxNi098shPCDXllU/8os9moomE845+3NO0winsJniTw7KZgAj0o4AnQ+
guYK7MY6k9heaIgFOs+K/sD5gbX7/IuMa6h9HOrtT6I3bdKd00iFexj64569Dbqg
WPZFiRCfIPSMdfHl/5JyiLeGA91x6euRhsUS/NRHjuou++7Ljf10FPzaG3v+Vo8a
6nZgqpIor3H6X5p4Bsze94NBuGq+MQbx9nzIYzvq8aGUWH7Q6Yo=
=fiCb
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to